
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 20px;
    background-color: #f4f4f9;
}
.container {
    width: 80%;
    margin: 0 auto;
}
.text-to-type {
    font-size: 15px;
    margin: 20px 0;
    background-color: #e0e0e0;
    padding: 10px;
    border-radius: 5px;
}
.user-input {
    font-size: 18px;
    padding: 10px;
    height:400px;
    width: 100%;
    border: 1px solid #ccc;
    border-radius: 5px;
}
.timer {
    font-size: 24px;
    font-weight: bold;
    color: #2a9d8f;
}
.result {
    font-size: 20px;
    color: #e63946;
}
button {
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
    background-color: #2a9d8f;
    color: white;
    border: none;
    border-radius: 5px;
}

.popover {
    position: fixed;
    background-color: #fff;
    color: #333;
    border: 1px solid #ddd;
    border-radius: 5px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    padding: 10px;
    max-width: 300px;
    z-index: 1000;
  }
  .popover::after {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: transparent transparent #fff transparent;
  }
  .back-button {
    margin-top: 20px;
}

footer {
    margin-top: 30px;
    background: #343a40;
    color: white;
    padding: 15px;
    text-align: center;
}

footer a {
    color: #0dcaf0;
    text-decoration: none;
}

footer a:hover {
    text-decoration: underline;
}
